# snd_pcm_sync_id_t Union Reference
[PCM Interface]

## Data Fields

unsigned char | id [16]
unsigned short | id16 [8]
unsigned int | id32 [4]

## Detailed Description

PCM synchronization ID

## Field Documentation

unsigned char snd_pcm_sync_id_t::id[16]

8-bit ID

unsigned short snd_pcm_sync_id_t::id16[8]

16-bit ID

unsigned int snd_pcm_sync_id_t::id32[4]

32-bit ID

The documentation for this union was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.0/include/pcm.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines